<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RExternalCallControlProfile StructType
 * @subpackage Structs
 */
class RExternalCallControlProfile extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The primaryUri
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $primaryUri;
    /**
     * The secondaryUri
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $secondaryUri;
    /**
     * The enableLoadBalancing
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $enableLoadBalancing;
    /**
     * The routingRequestTimer
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $routingRequestTimer;
    /**
     * The diversionReroutingCssName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $diversionReroutingCssName;
    /**
     * The callTreatmentOnFailure
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $callTreatmentOnFailure;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RExternalCallControlProfile
     * @uses RExternalCallControlProfile::setName()
     * @uses RExternalCallControlProfile::setPrimaryUri()
     * @uses RExternalCallControlProfile::setSecondaryUri()
     * @uses RExternalCallControlProfile::setEnableLoadBalancing()
     * @uses RExternalCallControlProfile::setRoutingRequestTimer()
     * @uses RExternalCallControlProfile::setDiversionReroutingCssName()
     * @uses RExternalCallControlProfile::setCallTreatmentOnFailure()
     * @uses RExternalCallControlProfile::setUuid()
     * @param string $name
     * @param string $primaryUri
     * @param string $secondaryUri
     * @param string $enableLoadBalancing
     * @param string $routingRequestTimer
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $diversionReroutingCssName
     * @param string $callTreatmentOnFailure
     * @param string $uuid
     */
    public function __construct($name = null, $primaryUri = null, $secondaryUri = null, $enableLoadBalancing = null, $routingRequestTimer = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $diversionReroutingCssName = null, $callTreatmentOnFailure = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setPrimaryUri($primaryUri)
            ->setSecondaryUri($secondaryUri)
            ->setEnableLoadBalancing($enableLoadBalancing)
            ->setRoutingRequestTimer($routingRequestTimer)
            ->setDiversionReroutingCssName($diversionReroutingCssName)
            ->setCallTreatmentOnFailure($callTreatmentOnFailure)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RExternalCallControlProfile
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get primaryUri value
     * @return string|null
     */
    public function getPrimaryUri()
    {
        return $this->primaryUri;
    }
    /**
     * Set primaryUri value
     * @param string $primaryUri
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RExternalCallControlProfile
     */
    public function setPrimaryUri($primaryUri = null)
    {
        $this->primaryUri = $primaryUri;
        return $this;
    }
    /**
     * Get secondaryUri value
     * @return string|null
     */
    public function getSecondaryUri()
    {
        return $this->secondaryUri;
    }
    /**
     * Set secondaryUri value
     * @param string $secondaryUri
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RExternalCallControlProfile
     */
    public function setSecondaryUri($secondaryUri = null)
    {
        $this->secondaryUri = $secondaryUri;
        return $this;
    }
    /**
     * Get enableLoadBalancing value
     * @return string|null
     */
    public function getEnableLoadBalancing()
    {
        return $this->enableLoadBalancing;
    }
    /**
     * Set enableLoadBalancing value
     * @param string $enableLoadBalancing
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RExternalCallControlProfile
     */
    public function setEnableLoadBalancing($enableLoadBalancing = null)
    {
        $this->enableLoadBalancing = $enableLoadBalancing;
        return $this;
    }
    /**
     * Get routingRequestTimer value
     * @return string|null
     */
    public function getRoutingRequestTimer()
    {
        return $this->routingRequestTimer;
    }
    /**
     * Set routingRequestTimer value
     * @param string $routingRequestTimer
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RExternalCallControlProfile
     */
    public function setRoutingRequestTimer($routingRequestTimer = null)
    {
        $this->routingRequestTimer = $routingRequestTimer;
        return $this;
    }
    /**
     * Get diversionReroutingCssName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getDiversionReroutingCssName()
    {
        return $this->diversionReroutingCssName;
    }
    /**
     * Set diversionReroutingCssName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $diversionReroutingCssName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RExternalCallControlProfile
     */
    public function setDiversionReroutingCssName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $diversionReroutingCssName = null)
    {
        $this->diversionReroutingCssName = $diversionReroutingCssName;
        return $this;
    }
    /**
     * Get callTreatmentOnFailure value
     * @return string|null
     */
    public function getCallTreatmentOnFailure()
    {
        return $this->callTreatmentOnFailure;
    }
    /**
     * Set callTreatmentOnFailure value
     * @param string $callTreatmentOnFailure
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RExternalCallControlProfile
     */
    public function setCallTreatmentOnFailure($callTreatmentOnFailure = null)
    {
        $this->callTreatmentOnFailure = $callTreatmentOnFailure;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RExternalCallControlProfile
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
